%define upstream_name    XML-MinWriter
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for writing XML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(XML::Writer)
BuildArch:  noarch

%description
XML::MinWriter is a module to write XML. It is largely compatible to
XML::Writer, but XML::MinWriter does not perform checks whether the XML is
well formed. There is also additional support for writing XML from a PYX
data source (For example, both modules XML::TiePYX and XML::Reader can
produce PYX which can then be fed into XML::MinWriter to generate XML).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 516174
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 375057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.60.0-1.mga3
+ Revision: 285366
- update to 0.06

* Sun Dec 04 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 176232
- update to 0.05

* Sat Dec 03 2011 kharec <kharec> 0.40.0-2.mga2
+ Revision: 175350
- shorten description

* Sat Dec 03 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 175340
- update to 0.04

* Mon Nov 21 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 170605
- update to 0.03

* Sun Nov 20 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 169935
- update to 0.02

* Sun Nov 20 2011 kharec <kharec> 0.10.0-1.mga2
+ Revision: 169918
- imported package perl-XML-MinWriter


* Sun Nov 20 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
